import { ModelInterface } from '../index';
import Model from './model';
export interface ResponseAttributes {
    form_option_id?: number;
    form_question_id: number | null;
    value?: string;
}
export interface ResponseModel extends ModelInterface {
    for(question: number): this;
    is(value: string): this;
    selected(option: number): this;
    transform(): object;
}
export interface ResponseParameters {
    option: number | null;
    question: number | null;
    value: string | null;
}
export default class Response extends Model implements ResponseModel {
    protected attributes: ResponseParameters;
    constructor();
    for(question: number): this;
    is(value: string): this;
    selected(option: number): this;
    transform(): object;
}
